/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_AlStruct  (Level 1 library routine)                    */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    12 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by partially expanded      */
/* alignment record and its "attachments"; returns NULL as the proper new    */
/* value for the pointer to the released record                              */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

align_ptr NTL1_Destroy_AlStruct (align_ptr alignment)
{
 int index; line_ptr line_scan, rls_line;

 if (alignment != NULL) {
  if (alignment -> begin != NULL) free (alignment -> begin);
  if (alignment -> end != NULL) free (alignment -> end);
  if (alignment -> lines != NULL) {
   for (index = 0; index < alignment -> dimension; index++) {
    line_scan = (alignment -> lines) [index]; while (line_scan != NULL) {
     rls_line = line_scan; line_scan = line_scan -> next; free (rls_line);
    }
   }
   free (alignment -> lines);
  }
  free (alignment);
 }
 return NULL;   /* Returned value to be assigned to the destroyed align. ptr */
}

