/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Flip_Lines  (Level 1 library routine)                          */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    12 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure reverses the received link list of line cells (from           */
/* alignment structures); returns the pointer to the new head of the list    */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

line_ptr NTL1_Flip_Lines (line_ptr list)
{
 line_ptr ret_val;

 if (list == NULL) return NULL; 
 else if (list -> next == NULL) return list;
 else {
  ret_val = NTL1_Flip_Lines (list -> next);
  (list -> next) -> next = list; list -> next = NULL; return ret_val;
 }
}

