/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Integer_Codes  (Level 1 library routine)                       */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    31 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure determines the integer bit codes for all uppercase letters of */
/* the alphabet, given a string for each character; long integer bit vector  */
/* of 26 positions must be provided in the input - it will be properly       */
/* filled by this procedure                                                  */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

void NTL1_Integer_Codes (char **char_codes, long int Bit_Codes [])
{
 int index; char *schar;

 for (index = 0; index < 26; index++) {
  Bit_Codes [index] = 0;
  schar = char_codes [index]; while (*schar != '\0') {
   Bit_Codes [index] = (Bit_Codes [index]) |
                       (((long int) 1) << ((int) *schar - (int) 'A'));
   schar++;
  }
 }
}

